import 'package:vone_ipfs/generated/json/base/json_convert_content.dart';
import 'package:vone_ipfs/generated/json/base/json_field.dart';

class FolderDataEntity with JsonConvert<FolderDataEntity> {
	int? code;
	FolderDataData? data;
	String? msg;
}

class FolderDataData with JsonConvert<FolderDataData> {
	@JSONField(name: "list")
	List<FolderDataDataList>? xList;
	FolderDataDataPager? pager;
	FolderDataDataParent? parent;
}

class FolderDataDataList with JsonConvert<FolderDataDataList> {
	String? fileName;
	int? fileSize;
	String? fileType;
	String? ownerID;
	int? isDir;
	int? parentID;
	int? id;
	int? updated;
	int? created;
}

class FolderDataDataPager with JsonConvert<FolderDataDataPager> {
	int? page;
	int? pageSize;
	int? totalRows;
}

class FolderDataDataParent with JsonConvert<FolderDataDataParent> {
	String? fileName;
	int? fileSize;
	String? fileType;
	String? ownerID;
	int? isDir;
	int? parentID;
	int? id;
	int? updated;
	int? created;
}
