import 'package:flutter/material.dart';

class UploadProgressDialog extends StatefulWidget {
  final int count;
  final int total;

  const UploadProgressDialog({Key? key, required this.count,required this.total}) : super(key: key);
  @override
  UploadProgressDialogState createState() => new UploadProgressDialogState();
}

class UploadProgressDialogState extends State<UploadProgressDialog> {
  @override
  Widget build(BuildContext context) {
    double progress = 0;
    if(widget.total>0){
      progress = (widget.count/widget.total)*100;
    }
    return Container(
      width: 300,
      padding: EdgeInsets.all(30),
      decoration: BoxDecoration(
          color: Colors.white,
          borderRadius: BorderRadius.circular(5)
      ),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        children: [
          progress>0?Text('文件上传中${progress.toStringAsFixed(2)}%'):Text('文件上传中...')
        ],

      ),
    );
  }

  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

}