import 'dart:ui';
import 'package:flutter/material.dart';
import 'package:fluttertoast/fluttertoast.dart';

class ToastUtils{
  static show(String msgStr) {
    Fluttertoast.showToast(
        msg: msgStr,
        toastLength: Toast.LENGTH_SHORT,
        timeInSecForIosWeb: 5,
        gravity: ToastGravity.CENTER,
        backgroundColor: const Color(0xff4B4B4B),
        textColor: Colors.white,
        fontSize: 18
    );
  }

}